/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ICache } from "@fluidframework/server-services-core";
import { IRedisParameters } from "@fluidframework/server-services-utils";
import { Redis } from "ioredis";
/**
 * Redis based cache client
 */
export declare class RedisCache implements ICache {
    private readonly client;
    private readonly expireAfterSeconds;
    private readonly prefix;
    constructor(client: Redis, parameters?: IRedisParameters);
    get(key: string): Promise<string>;
    set(key: string, value: string, expireAfterSeconds?: number): Promise<void>;
    /**
     * Translates the input key to the one we will actually store in redis
     */
    private getKey;
}
//# sourceMappingURL=redis.d.ts.map