/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IThrottleAndUsageStorageManager, IThrottlingMetrics, IUsageData } from "@fluidframework/server-services-core";
import { IRedisParameters } from "@fluidframework/server-services-utils";
import { Redis } from "ioredis";
/**
 * Manages storage of throttling metrics and usage data in redis.
 */
export declare class RedisThrottleAndUsageStorageManager implements IThrottleAndUsageStorageManager {
    private readonly client;
    private readonly expireAfterSeconds;
    private readonly prefix;
    constructor(client: Redis, parameters?: IRedisParameters);
    setThrottlingMetric(id: string, throttlingMetric: IThrottlingMetrics): Promise<void>;
    setThrottlingMetricAndUsageData(throttlingId: string, throttlingMetric: IThrottlingMetrics, usageStorageId: string, usageData: IUsageData): Promise<void>;
    getThrottlingMetric(id: string): Promise<IThrottlingMetrics | undefined>;
    setUsageData(id: string, usageData: IUsageData): Promise<void>;
    getUsageData(id: string): Promise<IUsageData>;
    private getKey;
}
//# sourceMappingURL=redisThrottleAndUsageStorageManager.d.ts.map